curl --request POST \
--url https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"redirect_uri": "<string>",
"mobile_number": "<string>",
"full_name": "<string>",
"version": "v2",
"enrich": false
}
'import requests
url = "https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session"
payload = {
"redirect_uri": "<string>",
"mobile_number": "<string>",
"full_name": "<string>",
"version": "v2",
"enrich": False
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
redirect_uri: '<string>',
mobile_number: '<string>',
full_name: '<string>',
version: 'v2',
enrich: false
})
};
fetch('https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'redirect_uri' => '<string>',
'mobile_number' => '<string>',
'full_name' => '<string>',
'version' => 'v2',
'enrich' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session"
payload := strings.NewReader("{\n \"redirect_uri\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"full_name\": \"<string>\",\n \"version\": \"v2\",\n \"enrich\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"redirect_uri\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"full_name\": \"<string>\",\n \"version\": \"v2\",\n \"enrich\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redirect_uri\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"full_name\": \"<string>\",\n \"version\": \"v2\",\n \"enrich\": false\n}"
response = http.request(request)
puts response.read_body{
"code": 201,
"timestamp": 1751922499674,
"transaction_id": "a73af0b7accc4c3fbaa3dd2dc2cab550",
"sub_code": "SUCCESS",
"message": "SDK session created successfully.",
"data": {
"redirect_url": "https://sdk.deepvue.ai/v1/credit-report/equifax?session_id=bee5325d10124a18a322ca268542aa06&signature=ddfc046359adca4e8d31cbce13597b1307f7c61923da3b4ee78f60e6f9524123&redirect_uri=https://deepvue.tech"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"body",
"consent"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}{
"detail": "Internal Server Error"
}Initiate Session
This API is used to initiate a session. This API generates a transaction_id on the UI which will be used in the next API flow.
curl --request POST \
--url https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"redirect_uri": "<string>",
"mobile_number": "<string>",
"full_name": "<string>",
"version": "v2",
"enrich": false
}
'import requests
url = "https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session"
payload = {
"redirect_uri": "<string>",
"mobile_number": "<string>",
"full_name": "<string>",
"version": "v2",
"enrich": False
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
redirect_uri: '<string>',
mobile_number: '<string>',
full_name: '<string>',
version: 'v2',
enrich: false
})
};
fetch('https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'redirect_uri' => '<string>',
'mobile_number' => '<string>',
'full_name' => '<string>',
'version' => 'v2',
'enrich' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session"
payload := strings.NewReader("{\n \"redirect_uri\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"full_name\": \"<string>\",\n \"version\": \"v2\",\n \"enrich\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"redirect_uri\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"full_name\": \"<string>\",\n \"version\": \"v2\",\n \"enrich\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v3/financial-services/credit-bureau/equifax/credit-report/sdk/session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redirect_uri\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"full_name\": \"<string>\",\n \"version\": \"v2\",\n \"enrich\": false\n}"
response = http.request(request)
puts response.read_body{
"code": 201,
"timestamp": 1751922499674,
"transaction_id": "a73af0b7accc4c3fbaa3dd2dc2cab550",
"sub_code": "SUCCESS",
"message": "SDK session created successfully.",
"data": {
"redirect_url": "https://sdk.deepvue.ai/v1/credit-report/equifax?session_id=bee5325d10124a18a322ca268542aa06&signature=ddfc046359adca4e8d31cbce13597b1307f7c61923da3b4ee78f60e6f9524123&redirect_uri=https://deepvue.tech"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"body",
"consent"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}{
"detail": "Internal Server Error"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
Defines the body for the session initiation request.
This is the URL to your own application where you want the end user to be finally redirected once the consent is given.
1 - 2083Pass Mobile Number if you wish this to be pre-filled in the UI form
Pass user's Full Name as per PAN if you wish this to be pre-filled in the UI form
Pass version=v3 to fetch the credit report as per the latest version during download
Pass enrich=true if you wish to generate a report even when there is no existing credit history.